RE: [PATCH] 2.4.23-pre8 driver udpate for MPT Fusion (2.05.10)

From: Moore, Eric Dean
Date: Fri Oct 24 2003 - 11:23:53 EST

James: I'm clear on the policy, however the
MPT driver in 2.6 kernel is *NOT* compatible with
what is shipping in 2.4 kernel which is 2.05.05+ driver.
The driver in 2.6 has had most of the backward compatibility
stripped out, such as Old Error Handling, and many other changes
to make it work with new kernel structures and functions, however
doesn't make it backward compatible to 2.4 kernel.

Our focus has been 2.4 kernel version of the driver as that is what
is shipping in all Linux distributions, and our customers have been
asking for RPM driver updates to the latest driver fix bugs and
enhancements for their shipping systems out in the field. One major
OEM player has requested we update as to reduce their
dependency on LSI for RPM driver updates. I wish that these updates
make their way into the 2.4 kernel. I will begin porting these
changes over the driver in 2.6 immediately. Also one thing is
that there have been change on Maintainership of this
driver from Pam Delaney to myself and Larry Stephens, so things
are about getting back to normal.


On Friday, October 24, 2003 9:21 AM, James Bottomley wrote:
> On Fri, 2003-10-24 at 10:53, Moore, Eric Dean wrote:
> > Here's a patch for 2.4.23-pre8 kernel for MPT Fusion
> driver, coming from LSI
> > Logic.
> >
> > This patch is large, so I have placed it on the LSI ftp site at:
> >
> .10.patch
> A new email address is setup for directing any MPT Fusion questions:
> mpt_linux_developer@xxxxxxxx

The policy for driver updates into 2.4 is that they should be backports
from 2.6 (for things like mpt fusion that have similar drivers) so that
the newer driver gets into 2.6 first. If you want to send the 2.6
patches, I can queue them up for when the "bugfix only" freeze is


To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at
Please read the FAQ at